Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Active_Map_Manager_Iterator_Adapter Class Template Reference

Defines a iterator implementation for the Active_Map_Manager_Adapter. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Active_Map_Manager_Iterator_Adapter

[legend]
Collaboration diagram for ACE_Active_Map_Manager_Iterator_Adapter:

[legend]
List of all members.

## Public Types
typedef ACE_TYPENAME ACE_Active_Map_Manager< VALUE>::iterator | implementation
## Public Methods
| ACE_Active_Map_Manager_Iterator_Adapter (const ACE_Map_Iterator<ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex> &impl)
| Constructor.
virtual | ~ACE_Active_Map_Manager_Iterator_Adapter (void)
| Destructor.
virtual ACE_Iterator_Impl<T>* | clone (void) const
| Clone.
virtual int | compare (const ACE_Iterator_Impl<T> &rhs) const
| Comparison.
virtual T | dereference (void) const
| Dereference.
virtual void | plus_plus (void)
| Advance.
virtual void | minus_minus (void)
| Reverse.
ACE_Map_Iterator<ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex>& | impl (void)
| Accessor to implementation object.
## Protected Attributes
ACE_Map_Iterator<ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex> | implementation_
| All implementation details are forwarded to this class.

## Detailed Description

### template<class T, class VALUE> template class ACE_Active_Map_Manager_Iterator_Adapter

Defines a iterator implementation for the Active_Map_Manager_Adapter.

Implementation to be provided by ACE_Active_Map_Manager::iterator.

## Member Typedef Documentation

template<classT, classVALUE>
typedef ACE_TYPENAME ACE_Active_Map_Manager<VALUE>::iterator ACE_Active_Map_Manager_Iterator_Adapter<T, VALUE>::implementation

## Constructor & Destructor Documentation

template<classT, classVALUE>
ACE_INLINE ACE_Active_Map_Manager_Iterator_Adapter< T,VALUE >::ACE_Active_Map_Manager_Iterator_Adapter<T, VALUE> ( | const ACE_Map_Iterator< ACE_Active_Map_Manager_Key,VALUE,ACE_Null_Mutex >& impl )

| Constructor.

template<classT, classVALUE>
ACE_INLINE ACE_Active_Map_Manager_Iterator_Adapter< T,VALUE >::~ACE_Active_Map_Manager_Iterator_Adapter<T, VALUE> ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

template<classT, classVALUE>
ACE_INLINE ACE_Iterator_Impl< T >* ACE_Active_Map_Manager_Iterator_Adapter< T,VALUE >::clone ( | void ) const`[virtual]`

| Clone. Reimplemented from ACE_Iterator_Impl.

template<classT, classVALUE>
ACE_INLINE int ACE_Active_Map_Manager_Iterator_Adapter< T,VALUE >::compare ( | const ACE_Iterator_Impl< T >& rhs ) const`[virtual]`

| Comparison. Reimplemented from ACE_Iterator_Impl.

template<classT, classVALUE>
ACE_INLINE T ACE_Active_Map_Manager_Iterator_Adapter< T,VALUE >::dereference ( | void ) const`[virtual]`

| Dereference. Reimplemented from ACE_Iterator_Impl.

template<classT, classVALUE>
ACE_INLINE ACE_Map_Iterator< ACE_Active_Map_Manager_Key,VALUE,ACE_Null_Mutex >& ACE_Active_Map_Manager_Iterator_Adapter< T,VALUE >::impl ( | void )

| Accessor to implementation object.

template<classT, classVALUE>
ACE_INLINE void ACE_Active_Map_Manager_Iterator_Adapter< T,VALUE >::minus_minus ( | void )`[virtual]`

| Reverse. Reimplemented from ACE_Iterator_Impl.

template<classT, classVALUE>
ACE_INLINE void ACE_Active_Map_Manager_Iterator_Adapter< T,VALUE >::plus_plus ( | void )`[virtual]`

| Advance. Reimplemented from ACE_Iterator_Impl.

## Member Data Documentation

template<classT, classVALUE>
ACE_Map_Iterator< ACE_Active_Map_Manager_Key,VALUE,ACE_Null_Mutex > ACE_Active_Map_Manager_Iterator_Adapter<T, VALUE>::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i